# Uses of Interface
org.eclipse.emf.compare.ide.ui.logical.IStorageProviderAccessor

Packages that use IStorageProviderAccessor
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical
org.eclipse.emf.compare.ide.ui.internal.logical.resolver
org.eclipse.emf.compare.ide.ui.logical

## Uses of IStorageProviderAccessor in org.eclipse.emf.compare.ide.ui.internal.logical

Classes in org.eclipse.emf.compare.ide.ui.internal.logical that implement IStorageProviderAccessor
Modifier and Type
Class
Description
`class`
`RemoteMappingContextStorageAccessor`
This will use a `RemoteResourceMappingContext` in order to fetch the content of the sides of a comparison during model resolving.
`final class`
`SubscriberStorageAccessor`
This is used by our synchronization model to access the innards of Team's `Subscriber`s.
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical with parameters of type IStorageProviderAccessor
Modifier
Constructor
Description
``
`ComparisonScopeBuilder(IModelResolver resolver, IModelMinimizer minimizer, IStorageProviderAccessor storageAccessor)`
Constructs a builder given its model resolver and minimizer, along with the storage accessor for remote data.
``
`RenameDetector(org.eclipse.team.core.subscribers.Subscriber subscriber, IStorageProviderAccessor accessor)`
Constructor.

## Uses of IStorageProviderAccessor in org.eclipse.emf.compare.ide.ui.internal.logical.resolver

Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type IStorageProviderAccessor
Modifier and Type
Method
Description
`SynchronizationModel`
ThreadedModelResolver.`resolveModels(IStorageProviderAccessor storageAccessor, org.eclipse.core.resources.IStorage left, org.eclipse.core.resources.IStorage right, org.eclipse.core.resources.IStorage origin, org.eclipse.core.runtime.IProgressMonitor monitor)`
This will be called by EMF Compare in order to resolve the whole logical models containing the given storages.
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type IStorageProviderAccessor
Modifier
Constructor
Description
``
`ModelsResolution(IResolutionContext context, org.eclipse.core.runtime.IProgressMonitor monitor, IStorageProviderAccessor storageAccessor, org.eclipse.core.resources.IStorage left, org.eclipse.core.resources.IStorage right, org.eclipse.core.resources.IStorage origin)`
At least one of `ModelsResolution.left`, `ModelsResolution.right` and `ModelsResolution.origin` must be non-null.
``
`RevisionedURIConverter(URIConverter delegate, IStorageProviderAccessor storageAccessor, IStorageProviderAccessor.DiffSide side)`
Instantiates our URI converter given its delegate.

## Uses of IStorageProviderAccessor in org.eclipse.emf.compare.ide.ui.logical

Methods in org.eclipse.emf.compare.ide.ui.logical with parameters of type IStorageProviderAccessor
Modifier and Type
Method
Description
`SynchronizationModel`
IModelResolver.`resolveModels(IStorageProviderAccessor storageAccessor, org.eclipse.core.resources.IStorage left, org.eclipse.core.resources.IStorage right, org.eclipse.core.resources.IStorage origin, org.eclipse.core.runtime.IProgressMonitor monitor)`
This will be called by EMF Compare in order to resolve the whole logical models containing the given storages.